
{% extends 'base/base.html' %}

{% load static %}

<!-- sobreescribimos el bloque de contenido principal -->
{% block page_content %}
    <div class="container-fluid">
        
        <!-- Page Heading -->
        <div class="d-sm-flex align-items-center justify-content-between mb-4">
            <h1 class="h3 mb-0 text-gray-800">Información General</h1>
            <!-- <a href="#" class="d-none d-sm-inline-block btn btn-sm btn-primary shadow-sm"><i
                class="fas fa-home fa-sm text-white-50"></i>Contribuyentes</a> -->
            <a href="{% url 'catastro:contribuyentes_list' %}" class="btn btn-danger btn-icon-split btn-sm">
                <span class="icon text-white-50">
                    <i class="fas fa-list"></i>
                </span>
                <span class="text font-weight-bold">Ver contribuyentes</span>
            </a>
        </div>

        <!-- jumbotron -->
        <div class="jumbotron py-3">
            <h1 class="display-4" style="font-size: 40px;">Sistema municipal de apoyos!</h1>
            <p class="lead">Sistema que administra la gestión de apoyos del municipio de Pinos, Zacatecas..</p>            
        </div>
        <!-- jumbotron -->

        <!-- slider -->
        <div class="row">
            <div class="col-md-8 mx-auto">
                <div id="myCarousel" class="carousel slide" data-ride="carousel">
                    <!-- Carousel indicators -->
                    <ol class="carousel-indicators">
                        <li data-target="#myCarousel" data-slide-to="0" class="active"></li>
                        <li data-target="#myCarousel" data-slide-to="1"></li>
                        <li data-target="#myCarousel" data-slide-to="2"></li>
                    </ol>   
                    <!-- Wrapper for carousel items -->
                    <div class="carousel-inner">
                        <div class="carousel-item active">
                            <img src="{% static 'base/img/delivery-woman.jpg' %}" class="img-fluid" alt="primer apoyo">
                        </div>
                        <div class="carousel-item">
                            <img src="{% static 'base/img/delivery-1.jpg' %}" class="img-fluid" alt="segundo apoyo">
                        </div>
                        <div class="carousel-item">
                            <img src="{% static 'base/img/delivery-dos.jpg' %}" class="img-fluid" alt="tercer apoyo">
                        </div>						
                    </div>
                    <!-- Carousel controls -->
                    <a class="carousel-control-prev" href="#myCarousel" data-slide="prev">
                        <span><i class="fa fa-angle-left"></i></span>
                    </a>
                    <a class="carousel-control-next" href="#myCarousel" data-slide="next">
                        <span><i class="fa fa-angle-right"></i></span>
                    </a>
                </div>
            </div>
        </div>
        <!-- ./slider -->
            
        <div class="row">

            <div class="col-md-6">
                <!-- Illustrations -->
                <div class="card shadow mb-4">
                    <div class="card-header py-3">
                        <h6 class="m-0 font-weight-bold text-black-50">Administración de Recursos Entregados</h6>
                    </div>
                    <div class="card-body">
                        <div class="text-center">
                            <img class="img-fluid px-3 px-sm-4 mt-3 mb-4" style="width: 25rem; height: 15rem;"
                                src="{% static 'base/img/apoyos-pinos-zac.svg' %}" alt="Información de activistas/activados">
                        </div>
                        <p style="text-align: justify;">El sistema de gestión de apoyos administra una base de datos global, de <a
                                target="_blank" rel="nofollow" href="#">Pinos, Zac</a>, dónde
                            concentra a todos los activistas y activados; con la finalidad de saber que apoyos han recibido; así
                            como cuales están activos y cuáles no.</p>

                            <div class="row">                                
                                <div class="col-md-6">
                                    <a href="{% url 'apoyos:personas_list' %}" class="btn btn-secondary btn-icon-split">
                                        <span class="icon text-white-50">
                                            <i class="fas fa-user"></i>
                                        </span>
                                        <span class="text">Ver personas</span>
                                    </a>
                                </div>

                                <div class="col-md-6">
                                    <a href="{% url 'apoyos:apoyos_list' %}" class="btn btn-secondary btn-icon-split">
                                        <span class="icon text-white-50">
                                            <i class="fas fa-box-open"></i>
                                        </span>
                                        <span class="text">Ver Apoyos</span>
                                    </a>
                                </div>
                            </div>
                    </div>
                </div>
            </div>

            <div class="col-md-6">
                <!-- Illustrations -->
                <div class="card shadow mb-4">
                    <div class="card-header py-3">
                        <h6 class="m-0 font-weight-bold text-black-50">Administración de personal</h6>
                    </div>
                    <div class="card-body">
                        <div class="text-center">
                            <img class="img-fluid px-3 px-sm-4 mt-3 mb-4" style="width: 25rem; height: 15rem;"
                                src="{% static 'base/img/personas-admon.svg' %}" alt="...">
                        </div>
                        <p style="text-align: justify;">El sistema contempla un apartado dónde se puede ubicar la información general de cada <a
                                target="_blank" rel="nofollow" href="#"> Empleado</a>, que esta
                            trabajando en la presidencia municipal y la función que desempeña; todo esto con fines informativos
                            y para llevar un control del personal activo.</p>
                            <a href="{% url 'apoyos:empleados_list' %}" class="btn btn-secondary btn-icon-split">
                                <span class="icon text-white-50">
                                    <i class="fas fa-user-alt-slash"></i>
                                </span>
                                <span class="text">Ver empleados</span>
                            </a>
                    </div>
                </div>
            </div>


        </div>

        <!-- Content Row -->
        <div class="row">
            
            <!-- Earnings (Monthly) Card Example -->
            <div class="col-xl-3 col-md-6 mb-4">
                <div class="card border-left-primary shadow h-100 py-2">
                    <div class="card-body">
                        <div class="row no-gutters align-items-center">
                            <div class="col mr-2">
                                <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                    Personas</div>
                                <div class="h5 mb-0 font-weight-bold text-gray-800">
                                    {{ personas }}
                                </div>
                            </div>
                            <div class="col-auto">
                                <i class="fas fa-user-alt fa-2x text-gray-300"></i>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <!-- Earnings (Monthly) Card Example -->
            <div class="col-xl-3 col-md-6 mb-4">
                <div class="card border-left-info shadow h-100 py-2">
                    <div class="card-body">
                        <div class="row no-gutters align-items-center">
                            <div class="col mr-2">
                                <div class="text-xs font-weight-bold text-info text-uppercase mb-1">Apoyos Entregados
                                </div>
                                <div class="row no-gutters align-items-center">
                                    <div class="col-auto">
                                        <div class="h5 mb-0 mr-3 font-weight-bold text-gray-800">{{ apoyos }}</div>
                                    </div>
                                    <div class="col">
                                        <div class="progress progress-sm mr-2">
                                            <div class="progress-bar bg-info" role="progressbar"
                                                style="width: 50%" aria-valuenow="50" aria-valuemin="0"
                                                aria-valuemax="100"></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-auto">
                                <i class="fas fa-clipboard-list fa-2x text-gray-300"></i>
                            </div>
                        </div>
                    </div>
                </div>
            </div>


           <!-- Pending Requests Card Example -->
           <div class="col-xl-3 col-md-6 mb-4">
                <div class="card border-left-warning shadow h-100 py-2">
                    <div class="card-body">
                        <div class="row no-gutters align-items-center">
                            <div class="col mr-2">
                                <div class="text-xs font-weight-bold text-warning text-uppercase mb-1">
                                    Encargados de Ruta</div>
                                <div class="h5 mb-0 font-weight-bold text-gray-800">{{ encargados }}</div>
                            </div>
                            <div class="col-auto">
                                <i class="fas fa-person-booth fa-2x text-gray-300"></i>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <!-- Earnings (Monthly) Card Example -->
            <div class="col-xl-3 col-md-6 mb-4">
                <div class="card border-left-success shadow h-100 py-2">
                    <div class="card-body">
                        <div class="row no-gutters align-items-center">
                            <div class="col mr-2">
                                <div class="text-xs font-weight-bold text-success text-uppercase mb-1">
                                    Localidades</div>
                                <div class="h5 mb-0 font-weight-bold text-gray-800">{{ localidades }}</div>
                            </div>
                            <div class="col-auto">
                                <i class="fas fa-house-user fa-2x text-gray-300"></i>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <!-- admin de personal -->
        <div class="row">

            <!-- Earnings (Monthly) Card Example -->
            <div class="col-xl-3 col-md-6 mb-4">
                <div class="card border-left-primary shadow h-100 py-2">
                    <div class="card-body">
                        <div class="row no-gutters align-items-center">
                            <div class="col mr-2">
                                <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                    Empleados</div>
                                <div class="h5 mb-0 font-weight-bold text-gray-800">{{ empleados }}</div>
                            </div>
                            <div class="col-auto">
                                <i class="fas fa-user-edit fa-2x text-gray-300"></i>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            
            <!-- Earnings (Monthly) Card Example -->
            <div class="col-xl-3 col-md-6 mb-4">
                <div class="card border-left-success shadow h-100 py-2">
                    <div class="card-body">
                        <div class="row no-gutters align-items-center">
                            <div class="col mr-2">
                                <div class="text-xs font-weight-bold text-success text-uppercase mb-1">
                                    Puestos de trabajo</div>
                                <div class="h5 mb-0 font-weight-bold text-gray-800">{{ puestos }}</div>
                            </div>
                            <div class="col-auto">
                                <i class="fas fa-house-user fa-2x text-gray-300"></i>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <!-- Earnings (Monthly) Card Example -->
            <div class="col-xl-3 col-md-6 mb-4">
                <div class="card border-left-info shadow h-100 py-2">
                    <div class="card-body">
                        <div class="row no-gutters align-items-center">
                            <div class="col mr-2">
                                <div class="text-xs font-weight-bold text-info text-uppercase mb-1">Departamentos
                                </div>
                                <div class="row no-gutters align-items-center">
                                    <div class="col-auto">
                                        <div class="h5 mb-0 mr-3 font-weight-bold text-gray-800">{{ departamentos }}</div>
                                    </div>                                    
                                </div>
                            </div>
                            <div class="col-auto">
                                <i class="fas fa-building fa-2x text-gray-300"></i>
                            </div>
                        </div>
                    </div>
                </div>
            </div>  

            <!-- Pending Requests Card Example -->
            <div class="col-xl-3 col-md-6 mb-4">
                <div class="card border-left-warning shadow h-100 py-2">
                    <div class="card-body">
                        <div class="row no-gutters align-items-center">
                            <div class="col mr-2">
                                <div class="text-xs font-weight-bold text-warning text-uppercase mb-1">
                                    Contribuyentes</div>
                                <div class="h5 mb-0 font-weight-bold text-gray-800">{{ contribuyentes }}</div>
                            </div>
                            <div class="col-auto">
                                <i class="fas fa-user-tie fa-2x text-gray-300"></i>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>   

    </div>

{% endblock page_content %}    

